Bug 2704 - 440 Display Issues
Summary: 440 Display Issues
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major with 1 vote (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-21 07:36 UTC by Nicole C. Engard
Modified: 2012-10-25 22:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
marc record (36.97 KB, image/png)
2008-10-21 07:37 UTC, Chris Cormack
Details
staff side (32.35 KB, image/png)
2008-10-21 07:37 UTC, Chris Cormack
Details
opac (30.71 KB, image/png)
2008-10-21 07:37 UTC, Chris Cormack
Details
Proposed fix (4.45 KB, patch)
2009-04-30 16:37 UTC, Chris Cormack
Details | Diff | Splinter Review
updated staff side (48.50 KB, image/png)
2009-05-28 15:07 UTC, Chris Cormack
Details
updated OPAC side (55.79 KB, image/png)
2009-05-28 15:08 UTC, Chris Cormack
Details
Additional change (2.17 KB, patch)
2010-07-13 16:46 UTC, Owen Leonard
Details | Diff | Splinter Review
screenshot traced series (32.71 KB, image/png)
2010-08-04 12:37 UTC, Katrin Fischer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:54:54 UTC


---- Reported by nengard@gmail.com 2008-10-21 07:36:55 ----

See the attached images.  In short, the 440n is showing on the staff side in a funny place, but the 440a isn't showing at all on the staff side.

One the OPAC the 440a & n are showing, but there is no space in between them so they're smooched together.



---- Additional Comments From nengard@gmail.com 2008-10-21 07:37:14 ----

Created an attachment
marc record





---- Additional Comments From nengard@gmail.com 2008-10-21 07:37:29 ----

Created an attachment
staff side





---- Additional Comments From nengard@gmail.com 2008-10-21 07:37:45 ----

Created an attachment
opac





---- Additional Comments From oleonard@myacpl.org 2008-10-21 09:35:33 ----

I submitted a patch to address some of these issues but I see I didn't address your request for full output of series info on the staff side. My patch only corrects the formatting of the existing display. I'm working on another patch to address the remaining issues.



---- Additional Comments From nengard@gmail.com 2008-11-17 12:15:17 ----

This is also an issue with 440v



---- Additional Comments From gmcharlt@gmail.com 2008-12-31 08:53:02 ----

Owen's patch pushed to HEAD.  As he noted, doesn't fix all problems reported in the bug.



---- Additional Comments From oleonard@myacpl.org 2009-04-30 16:37:36 ----

Created an attachment
Proposed fix





---- Additional Comments From gmcharlt@gmail.com 2009-05-08 17:24:48 ----

Pushed Owen's patch - please test and close.



---- Additional Comments From nengard@gmail.com 2009-05-28 15:07:21 ----

This fixes the issue on the staff side partially - but on the OPAC with XSLT on there is no series information displaying - see the new screenshots.



---- Additional Comments From nengard@gmail.com 2009-05-28 15:07:49 ----

Created an attachment
updated staff side





---- Additional Comments From nengard@gmail.com 2009-05-28 15:08:11 ----

Created an attachment
updated OPAC side





---- Additional Comments From adrea@moablibrary.org 2009-06-05 18:12:00 ----

Our library would very much like to see series information (name of series and volume in series) displaying consistently in both the OPAC and staff client - regardless of whether or not you have your OPAC XSLT Stylesheets turned on.

We are looking forward to using Owen's patch which will give us the series title in the staff client.

Since, this issue is being worked on I have some further information which needs to be taken into consideration.

Beginning on Oct. 24th 2008, the Library of Congress, made the following described change to how series information is recorded in MARC records…

http://www.loc.gov/catdir/pcc/Field440.pdf

Currently, in our KOHA OPAC (version 3.01.00.014), series information is only being pulled from the 440 field.  All the new records that we are receiving from our vendors have series information in the 490 or 490/800 field.  Is this already being taken into account in the patches that have been submitted - so that series information in the 490 or 490/800 field displays correctly?

If possible the OPAC could first try to pull information from the 490 field (subfield a,v) and if those were blank – pull info from the 440 field (subfields a,v).  I spoke to the cataloging expert at our State Library and she said that many libraries are leaving their old records with the 440 tag and using the 490 tag from now on – so it sounds like the majority of libraries are going to have data in both of these fields depending on how old the record is – but in order for KOHA to stay up to date with current cataloging rules the 490 and 490/800 fields need to be pulled and displayed in the OPAC.

In order for the fix to be comprehensive, the fix would need to be applied to both the OPAC search results page and the OPAC details page (and the Staff Client search results and the materials "normal" tab). And the fix would need to be applied when you have the XSLT stylesheet turned ON or OFF for both these pages.  Currently our library operates with the OPAC search results XSLT stylesheet turned off, and the OPAC details page XSLT stylesheet turned on.




---- Additional Comments From rch@liblime.com 2009-06-12 20:27:42 ----

The current xsl sheet will display both 440s and 490s.
However, 490's are filtered on indicator1=0 :
        <xsl:for-each select="marc:datafield[@tag=490][@ind1=0]">
And no attempt is made to pull data from 800-830 .

If we don't parse the 800-830 fields, then the @ind1=0 filter
should be dropped, imo.


As an aside, this exposes a bug in the xsl processing:
If you have a 490 with two ‡a's, then the ind1=0 filter
fails, and the 490 is displayed even if @ind1=1.

That will become relevant if we process the 800-830,
but not if we just remove the ind1 filter.

Removing patch-sent.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:54 UTC  ---

This bug was previously known as _bug_ 2704 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2704
Imported an attachment (id=802)
Imported an attachment (id=803)
Imported an attachment (id=804)
Imported an attachment (id=805)
Imported an attachment (id=806)
Imported an attachment (id=807)

Actual time not defined. Setting to 0.0
CC member adrea@moablibrary.org does not have an account here
CC member bchurch@ptfs.com does not have an account here
CC member jmf@liblime.com does not have an account here
CC member kdr@ckls.org does not have an account here
CC member rch@liblime.com does not have an account here
The original submitter of attachment 802 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 803 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 804 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 805 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 806 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 807 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-07-13 16:46:43 UTC
Created attachment 2355 [details] [review]
Additional change

As per the earlier comment, removing the check for 490 @ind1=0 since the alternative 8xx tag will not display anyway. If this fixes the display of 440 and 490 in the staff and OPAC I recommend this bug be closed an another be opened asking for handling of 8xx fields.
Comment 2 Katrin Fischer 2010-08-04 12:37:46 UTC
Created attachment 2452 [details]
screenshot traced series

I successfully tested Owen's patch with 3.01.00.145
Series with first indicator 0 and 1 both show now in staff and opac.

Can this patch be pushed to HEAD? 

I think my work on bug 4506 will probably address 8xx fields for series too. The work on frameworks and index is done and some XSLT code too.
Comment 3 Katrin Fischer 2010-10-10 22:28:06 UTC
Tested successfully with 3.2 RC. Closing bug.